import numpy as np
import matplotlib.pyplot as plt
import scipy.stats

df = 18
t_a2L = scipy.stats.t.ppf(0.025, df)
t_a2R = scipy.stats.t.ppf(0.975, df)
print('P(t<{0:.3f}) = 0.025,   P(t>{1:.3f}) = 0.025'.format(t_a2L, t_a2R))
t_range = np.arange(-4.0, 4.0, 0.01)
p_values = scipy.stats.t.pdf(t_range, df)
plt.plot(t_range, p_values)
plt.hlines(0.0, -4.0, 4.0, color = 'k')
plt.vlines(t_a2L, 0.0, scipy.stats.t.pdf(t_a2L, df), color = 'r', linewidth = 2,
           label = 'P(t<{0:<0.2f}) = 0.025'.format(t_a2L))
t_rangeL = np.arange(-4.0, t_a2L, 0.01)
plt.fill_between(t_rangeL, scipy.stats.t.pdf(t_rangeL, df), color = 'r', alpha = 0.5)
plt.vlines(t_a2R, 0.0, scipy.stats.t.pdf(t_a2R, df), color = 'm', linewidth = 2,
           label = 'P(t>{0:<.2f}) = 0.025'.format(t_a2R))
t_rangeR = np.arange(t_a2R, 4.0, 0.01)
plt.fill_between(t_rangeR, scipy.stats.t.pdf(t_rangeR, df), color = 'm', alpha = 0.5)
plt.title('t distribution with df = 18', fontsize = 16)
plt.legend()
plt.show()
